%define module	PyXML
%define name	python-pyxml
%define version 0.8.4
%define release %mkrel 21

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://%{name}.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/pyxml/PyXML-%{version}.tar.xz
Patch1:		xmlutils.diff
License:	Apacheish License
Group:		System/Libraries
Summary:	XML libraries for python
BuildRequires:	python-devel
BuildRequires:	%{_lib}expat1-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%{module}
Provides:	%{module}
Requires:	python
Requires:	%{_lib}expat1

%description
An XML package for Python. The distribution contains a validating XML parser,
an implementation of the SAX and DOM programming interfaces and an interface
to the Expat parser.

%prep
%setup -q -n %{module}-%{version}
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build --with-libexpat=%_prefix

%install
rm -fr $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT 

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc LICENCE ANNOUNCE CREDITS README README.dom README.pyexpat README.sgmlop TODO doc/*
%py_platsitedir/_xmlplus
%py_platsitedir/PyXML-*.egg-info
%_bindir/*
%lang(de) %{py_platsitedir}/*/dom/de/
%lang(en_US) %{py_platsitedir}/*/dom/en_US/
%lang(fr) %{py_platsitedir}/*/dom/fr/

%changelog
* Sun Aug 11 2013 billybot <billybot>
- update

* Wed Aug 18 2010 pcserver <pcserver at hush.com>
- update package

* Wed May 06 2009 Texstar <texstar@gmail.com> 0.8.4-10pclos2009
- apply patch to make Eric4 work properly

* Fri Aug 29 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 0.8.4-9pclos2007
- Rebuild

* Tue Aug 07 2007 Texstar <texstar@gmail.com> 0.8.4-8
- rebuild against updated libexpat1

* Mon Nov 06 2006 Neverstopdreaming <neverstopdreaming@gmail.com> 0.8.4-7pclos2007
- Build for PCLinuxOS 2007

